/// 语言标识到国家标识的映射关系
/// - 用于查询国旗/地区旗代码
final Map<String, String> countryCodeMap = {
  'zh': 'cn', // 中国
  'zh-CN': 'cn', // 中国
  'zh-MO': 'mo', // 中国（澳门）
  'zh-TW': 'cn', // 中国（台湾）
  'zh-HK': 'hk', // 中国（香港）
  'en': 'gb', // 英国
  'en-GB': 'gb', // 英国
  'en-US': 'us', // 美国
  'au': 'au',
  'en-AU': 'au', //  澳大利亚
  'en-IN': 'in', //  印度
  'ja': 'jp', // 日语
  'ru': 'ru', // 俄罗斯
  'ru-RU': 'ru', // 俄罗斯
  'ru-BY': 'by', // 白俄罗斯
  'ru-KZ': 'kz', // 哈萨克斯坦
  'ru-UA': 'ua', // 乌克兰
  'be': 'by', // 白俄罗斯
  'uk': 'ua', // 乌克兰
  'kk': 'kz', // 哈萨克
  'sr': 'sr', // 塞尔维亚
  'ar': 'sa', // 萨特阿拉伯
  'ko': 'kr', // 韩国
  'fr': 'fr', // 法国
  'pt': 'pt', // 葡萄牙语
  'it': 'it', // 意大利语
  'de': 'de', // 德国
  'de-AT': 'at', // 奥地利
  'es': 'es', // 西班牙
  'nl': 'nl', // 荷兰
  'tr': 'tr', // 土耳其
  'hi': 'in', // 印地
  'id': 'id', // 印尼
  'vi': 'vn', // 越南
  'th': 'th', // 泰语
  'ms': 'my', // 马来
  'fil': 'ph', // 菲律宾
  'sv': 'se', // 瑞典语
  'pl': 'pl', // 波兰语
  'hu': 'hu', // 匈牙利语
  'ro': 'ro', // 罗马尼亚语
  'cs': 'cz', // 捷克
  'el': 'gr', // 希腊
  'he': 'il', // 以色列
  'da': 'dk', // 丹麦
  'fi': 'fi', // 芬兰
  'no': 'no', // 挪威
  'sk': 'sk', // 斯洛伐克
  'sl': 'si', // 斯洛文尼亚
  'bg': 'bg', // 保加利亚
  'af': 'za', // 南非荷兰
  'sq': 'al', // 阿尔巴尼亚
  'hy': 'am', // 亚美尼亚
  'az': 'az', // 阿塞拜疆
  'eu': 'es', // 巴斯克
  'bn': 'bd', // 孟加拉
  'bs': 'ba', // 波斯尼亚
  'ca': 'es', // 加泰罗尼亚
  'hr': 'hr', // 克罗地亚
  'cy': 'gb', // 威尔士
  'et': 'ee', // 爱沙尼亚
  'tl': 'ph', // 菲律宾
  'gl': 'es', // 加利西亚
  'ka': 'ge', // 格鲁吉亚
  'gu': 'in', // 古吉拉特
  'ht': 'ht', // 海地克里奥尔
  'ha': 'ng', // 豪萨
  'haw': 'us', // 夏威夷
  'iw': 'il', // 希伯来
  'jw': 'id', // 爪哇语
  'km': 'kh', // 高棉
  'kn': 'in', // 卡纳达
  'ky': 'kg', // 吉尔吉斯
  'lo': 'la', // 老挝语
  'la': 'va', // 拉丁
  'lv': 'lv', // 拉脱维亚
  'lt': 'lt', // 立陶宛
  'lb': 'lu', // 卢森堡
  'mk': 'mk', // 马其顿
  'mg': 'mg', // 马尔加什
  'mt': 'mt', // 马耳他
  'mi': 'nz', // 毛利
  'mr': 'in', // 马拉地
  'mn': 'mn', // 蒙古
  'ne': 'np', // 尼泊尔
  'ps': 'af', // 普什图
  'pa': 'pk', // 旁遮普
  'qu': 'pe', // 凯楚亚
  'gd': 'gb', // 苏格兰盖尔
  'st': 'ls', // 塞索托
  'sn': 'zw', // 修纳
  'sd': 'pk', // 信德
  'si': 'lk', // 僧伽罗
  'su': 'id', // 巽他
  'sw': 'tz', // 斯瓦希里
  'tg': 'tj', // 塔吉克
  'ta': 'in', // 泰米尔
  'te': 'in', // 泰卢固
  'ur': 'pk', // 乌尔都
  'uz': 'uz', // 乌兹别克
  'xh': 'za', // 科萨
  'yi': 'il', // 意第绪
  'zu': 'za', // 祖鲁
};
